Apache Tomcat 7.0.42

## org.apache.catalina.websocket
Class WsFrame

    java.lang.Object
      org.apache.catalina.websocket.WsFrame

    public class WsFrame

extends Object

Represents a complete WebSocket frame with the exception of the payload for non-control frames.

Method Summary
`boolean` `getFin()`
`byte[]` `getMask()`
`byte` `getOpCode()`
`ByteBuffer` `getPayLoad()`
`long` `getPayLoadLength()`
`int` `getRsv()`
`boolean` `isControl()`
`static WsFrame` `nextFrame(UpgradeProcessor<?> processor, boolean block)` Read the next WebSocket frame, reading data from the processor as necessary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFin

    public boolean getFin()

### getRsv

    public int getRsv()

### getOpCode

    public byte getOpCode()

### isControl

    public boolean isControl()

### getMask

    public byte[] getMask()

### getPayLoadLength

    public long getPayLoadLength()

### getPayLoad

    public ByteBuffer getPayLoad()

### nextFrame

    public static WsFrame nextFrame(UpgradeProcessor<?> processor,
                                    boolean block)
                             throws IOException

  Read the next WebSocket frame, reading data from the processor as necessary.

  Parameters:
    `processor` - Processor associated with the WebSocket connection on which the frame has been sent
    `block` - Should this method block until a frame is presented if no data is currently available to process. Note that is a single byte is available, this method will block until the complete frame (excluding payload for non-control frames) is available.
  Throws:
    `IOException` - If a problem occurs processing the frame. Any exception will trigger the closing of the WebSocket connection.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.